Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core
Interface IExpressionsListener

public interface IExpressionsListener

An expression listener is notified of expression additions, removals, and changes. Listeners register and deregister with the expression manager.

This interface is analagous to `IExpressionListener`, except notifications are batched for more than when expression when possible.

Clients may implement this interface.

Since:
  2.1
See Also:
  `IExpressionManager`

Method Summary
`void` | `expressionsAdded(IExpression[] expressions)` Notifies this listener that the given expressions have been added to the expression manager.
`void` | `expressionsChanged(IExpression[] expressions)` Notifies this listener that the given expressions have changed.
`void` | `expressionsRemoved(IExpression[] expressions)` Notifies this listener that the given expressions has been removed from the expression manager.

Method Detail

### expressionsAdded

    public void expressionsAdded(IExpression[] expressions)

  Notifies this listener that the given expressions have been added to the expression manager.

  Parameters:
    `expressions` - the added expressions

### expressionsRemoved

    public void expressionsRemoved(IExpression[] expressions)

  Notifies this listener that the given expressions has been removed from the expression manager.

  Parameters:
    `expressions` - the removed expressions

### expressionsChanged

    public void expressionsChanged(IExpression[] expressions)

  Notifies this listener that the given expressions have changed.

  Parameters:
    `expressions` - the changed expressions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.